You can use the API to deflect phone calls to the Intercom Messenger. Calling this endpoint will send an SMS with a link to the Messenger to the phone number specified.
If custom attributes are specified, they will be added to the user or lead's custom data attributes.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.13"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.13
Phone number in E.164 format, that will receive the SMS to continue the conversation in the Messenger.
Example:"+1 1234567890"
custom_attributesobject(Custom Attributes)
An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models. System-defined attributes such as "CX Score rating" and "CX Score explanation" may also be included.
- The production API serverhttps://api.intercom.io/phone_call_redirects
- The european API serverhttps://api.eu.intercom.io/phone_call_redirects
- The australian API serverhttps://api.au.intercom.io/phone_call_redirects
- successful
- bad request - exception sending sms
- bad request - invalid number
- unprocessable entity
curl -i -X POST \
https://api.intercom.io/phone_call_redirects \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.13' \
-d '{
"phone": "+353832345678",
"custom_attributes": {
"issue_type": "Billing",
"priority": "High"
}
}'Response
{ "url": "http://via.intercom.io/msgr/2f1c0451-fa3c-43f4-b75d-4450e2a593fa", "type": "phone_call_redirect" }